## ros-rolling-rosbag2-performance-benchmarking-msgs 0.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosbag2_performance_benchmarking_msgs)

option(BUILD_ROSBAG2_BENCHMARKS "Build rosbag2 performance benchmarks" OFF)

if(NOT BUILD_ROSBAG2_BENCHMARKS)
  return()
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/ByteArray.msg"
  DEPENDENCIES
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-rolling-rosbag2-performance-benchmarking-msgs (0.24.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.23.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.22.0-1jammy) jammy; urgency=high

  * Add tests for rosbag2_performance_benchmarking pkg (#1268 <https://github.com/ros2/rosbag2/issues/1268>)
  * Contributors: Michael Orlov

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.21.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.20.0-1jammy) jammy; urgency=high

  * Skip ament_package() call when not building rosbag2_performance_benchmarking (#1242 <https://github.com/ros2/rosbag2/issues/1242>)
  * Contributors: Shane Loretz

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.19.0-1jammy) jammy; urgency=high

  * [rolling] Bump to 0.19.0 (#1232 <https://github.com/ros2/rosbag2/issues/1232>)
  * Add option to specify a message type (#1153 <https://github.com/ros2/rosbag2/issues/1153>)
  * Contributors: Audrow Nash, carlossvg

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.18.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.17.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 04 Aug 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.16.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 12 May 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.15.1-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.14.1-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.13.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.12.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 20 Dec 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.11.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 08 Nov 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.10.1-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.10.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.9.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 17 May 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.8.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.7.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.6.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 01 Feb 2021 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.5.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 02 Dec 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.4.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 20 Nov 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.3.2-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.3.1-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.3.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.2.8-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.2.7-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 12 May 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.2.6-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.2.5-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking-msgs (0.2.4-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-rolling-rosbag2-performance-benchmarking-msgs
Section: misc
Priority: optional
Maintainer: ROS Tooling Working Group <ros-tooling@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rosidl-cmake <!nocheck>, ros-rolling-rosidl-default-generators, ros-rolling-rosidl-typesupport-cpp <!nocheck>, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-performance-benchmarking-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: A package containing rosbag2 performance benchmarking specific messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosbag2-performance-benchmarking-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
